﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HelpHelf.Pages
{
    /// <summary>
    /// Логика взаимодействия для AddBlogPage.xaml
    /// </summary>
    public partial class AddBlogPage : Page
    {
        LoginedTable loginedTable;
        public AddBlogPage(LoginedTable logined)
        {
            InitializeComponent();
            loginedTable = logined;
        }

        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            if(!string.IsNullOrWhiteSpace(tbText.Text))
            {
                try
                {
                    BlogTable blog = new BlogTable()// новая строка в табличке
                    {
                        IdUser = loginedTable.ID,
                        Entry = tbText.Text,
                        Date = DateTime.Now,
                    };
                    Classes.DateBase.connect.BlogTable.Add(blog);
                    Classes.DateBase.connect.SaveChanges();
                    MessageBox.Show("Запись успешно добавлена", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                    Classes.DebugClass.diagWrite("Переход на страницу главного меню");
                    Classes.FrameClass.frmMain.Navigate(new MainPage(loginedTable));// при новой записи переходит на главную
                }
                catch(Exception ex)
                {
                    Classes.DebugClass.diagWrite(ex.Message);
                    MessageBox.Show("Ошибка", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
                
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.frmMain.Navigate(new MainPage(loginedTable));// обратно на главную
        }
    }
}
