﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HelpHelf.Pages
{
    /// <summary>
    /// Логика взаимодействия для MainPage.xaml
    /// </summary>
    public partial class MainPage : Page
    {
        LoginedTable loginedTable;
        public MainPage(LoginedTable logined)
        {
            InitializeComponent();
            loginedTable = logined;
            tbName.Text = logined.UserTable.Surname + " " + logined.UserTable.Name;// имя пользователя
            List<BlogTable> blogs = Classes.DateBase.connect.BlogTable.Where(x => x.IdUser == loginedTable.ID).OrderByDescending(x=> x.Date).ToList();// переводим данные таблиц в лист
            if(blogs.Count > 0)
            {
                listBlogs.ItemsSource = blogs;
            }
            else
            {
                listBlogs.Visibility = Visibility.Collapsed;// закрываем 
                tbEmptyBlog.Visibility = Visibility.Visible;// показваем сообщение
            }
            List<SessionTestTable> sessions =Classes.DateBase.connect.SessionTestTable.Where(x=>x.IdUser==loginedTable.ID).OrderByDescending(x => x.Date).ToList();
            if(sessions.Count > 0)
            {
                listTest.ItemsSource = sessions;
            }
            else 
            {
                listTest.Visibility = Visibility.Collapsed;// скрываем лист
                tbEmptyTest.Visibility = Visibility.Visible;// показ сообщения
            }
        }

        private void btnPersonalAccount_Click(object sender, RoutedEventArgs e)
        {
            Classes.DebugClass.diagWrite("Переход на страницу личного кабинета");
            Classes.FrameClass.frmMain.Navigate(new PersonalAccount(loginedTable));// переход на страницу с личными данными
        }

        private void btnExit_Click(object sender, RoutedEventArgs e)
        {
            Classes.DebugClass.diagWrite("Переход на страницу авторизации");
            Classes.FrameClass.frmMain.Navigate(new AuthorizationPage());// выход из аккаунта, преход на страницу авторизации
        }

        private void btnAddBlog_Click(object sender, RoutedEventArgs e)
        {
            Classes.DebugClass.diagWrite("Переход на страницу блога");
            Classes.FrameClass.frmMain.Navigate(new AddBlogPage(loginedTable));// преход на страницу блога
        }

        private void btnTest_Click(object sender, RoutedEventArgs e)
        {
            Classes.DebugClass.diagWrite("Переход на страницу прохождения теста");
            Classes.FrameClass.frmMain.Navigate(new TestPage(loginedTable));// перход на страницу с тестом
        }    

        private void listTest_SelectionChanged(object sender, SelectionChangedEventArgs e)// раскрытие информации
        {
            SessionTestTable session = listTest.SelectedItem as SessionTestTable;
            Classes.DebugClass.diagWrite("Переход на страницу результата теста");
            Classes.FrameClass.frmMain.Navigate(new ResultPage(session.ID));
        }
    }
}
