﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HelpHelf.Pages
{
    /// <summary>
    /// Логика взаимодействия для PersonalAccount.xaml
    /// </summary>
    public partial class PersonalAccount : Page
    {
        LoginedTable loginedTable;
        public PersonalAccount(LoginedTable logined)
        {
            InitializeComponent();
            loginedTable = logined;
        }

        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            if (Classes.CheckFields.CheckUpdateUser(tbSurname.Text, tbName.Text, tbLogin.Text))
            {
                if (Classes.CheckFields.CheckLogin(tbLogin.Text, loginedTable))
                {
                    try
                    {
                        loginedTable.UserTable.Surname = tbSurname.Text;
                        loginedTable.UserTable.Name = tbName.Text;
                        loginedTable.Login = tbLogin.Text;//записываем данные о пользователе
                        Classes.DateBase.connect.SaveChanges();//сохраняем изменения в базе данных
                        MessageBox.Show("Успешное изменение данных!", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                        Classes.DebugClass.diagWrite("Переход на страницу главного меню");
                        Classes.FrameClass.frmMain.Navigate(new MainPage(loginedTable));//переход на главную страницу
                    }
                    catch (Exception ex)
                    {
                        Classes.DebugClass.diagWrite(ex.Message);
                        MessageBox.Show("Ошибка", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    }
                }
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.frmMain.Navigate(new MainPage(loginedTable));// переход на главную страницу 
        }

        private void btnChangePassword_Click(object sender, RoutedEventArgs e)
        {
            Classes.DebugClass.diagWrite("Переход на страницу смены пароля");
            Classes.FrameClass.frmMain.Navigate(new ChangePassword(loginedTable));// переход на страницу смены пароля
        }
    }
}
